Skip to content

Install a template into a workspace (or your personal space)

POST
/v1/artifact-templates/{templateId}/install
curl --request POST \
--url https://shareout.site/v1/artifact-templates/example/install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "workspace_id": "example", "folder_id": "example" }'

Creates the folders and artifacts, rewrites links between them, creates empty tables/datasets from the schema, and returns the finish-setup steps.

templateId
required
string
Media typeapplication/json
object
workspace_id
string
nullable
folder_id
string
Examplegenerated
{
"workspace_id": "example",
"folder_id": "example"
}

{ install_group, folder_id, artifacts: [{ artifact_id, slug, url }], setup: [{ step, done }] }

Missing